html, body {
  min-height: 100vh;
  overflow: auto;
}

.container-fluid {
  max-width: 85rem;
}

.container-preview-component {
  flex-basis: 30%;
  overflow: auto;
  flex-grow: 1;
}

.detail-component {
  width: -moz-max-content;
  width: max-content;
  height: -moz-max-content;
  height: max-content;
  grid-template-columns: 1.5rem minmax(0, 1fr) 1.5rem;
  grid-template-rows: 1.5rem minmax(0, 1fr) 1.5rem;
  gap: 0px 0px;
}
.detail-component > div:first-child {
  grid-column: 1/span 3;
  grid-row: 1/span 1;
  border-bottom: 2px dotted #989898;
}
.detail-component > div:first-child .component-indicator-up {
  height: 1.5rem;
  left: 50%;
  bottom: 0;
  transform: translate3d(-50%, 0, 0);
}
.detail-component > div:first-child .component-indicator-up .badge:first-child {
  top: 50%;
  left: 50%;
  transform: translate3D(-50%, -50%, 0);
  z-index: 2;
}
.detail-component > div:first-child .component-indicator-up::before, .detail-component > div:first-child .component-indicator-up::after {
  content: "";
  position: absolute;
  display: inline-block;
  width: 0.7rem;
  height: 0.7rem;
  top: 50%;
  transform: translate3d(0, -50%, 0);
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
  z-index: 1;
}
.detail-component > div:first-child .component-indicator-up::before {
  left: 0;
  background-image: url("/img/arrow-left.svg");
}
.detail-component > div:first-child .component-indicator-up::after {
  right: 0;
  background-image: url("/img/arrow-right.svg");
}
.detail-component > div:nth-child(4) {
  grid-column: 1/span 3;
  grid-row: 3/span 1;
  border-top: 2px dotted #989898;
}
.detail-component > div:nth-child(2) {
  grid-column: 1/span 1;
  grid-row: 1/span 3;
  border-right: 2px dotted #989898;
}
.detail-component > div:nth-child(2) .component-indicator-left {
  width: 1.5rem;
  top: 50%;
  right: 0;
  transform: translate3d(0, -50%, 0);
}
.detail-component > div:nth-child(2) .component-indicator-left .badge:first-child {
  top: 50%;
  left: 50%;
  transform: rotate3d(0, 0, 1, 270deg) translate3d(-50%, -50%, 0);
  transform-origin: top left;
  z-index: 2;
}
.detail-component > div:nth-child(2) .component-indicator-left::before, .detail-component > div:nth-child(2) .component-indicator-left::after {
  content: "";
  position: absolute;
  display: inline-block;
  width: 0.7rem;
  height: 0.7rem;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
  z-index: 1;
}
.detail-component > div:nth-child(2) .component-indicator-left::before {
  top: 0;
  background-image: url("/img/arrow-up.svg");
}
.detail-component > div:nth-child(2) .component-indicator-left::after {
  bottom: 0;
  background-image: url("/img/arrow-down.svg");
}
.detail-component > div:last-child {
  grid-column: 3/span 1;
  grid-row: 1/span 3;
  border-left: 2px dotted #989898;
}
.detail-component > div:last-child .component-indicator-right {
  width: 0.5rem;
  left: 3px;
  transform: none;
}
.detail-component > div:last-child .component-indicator-right span:first-child {
  width: 2px;
  background-color: #ff2702;
  height: 75%;
  display: block;
  top: 50%;
  left: 50%;
  transform: translate3d(-50%, -50%, 0);
  z-index: 2;
}
.detail-component > div:last-child .component-indicator-right::before, .detail-component > div:last-child .component-indicator-right::after {
  content: "";
  position: absolute;
  display: inline-block;
  width: 0.5rem;
  height: 0.5rem;
  left: 50%;
  transform: translate3d(-50%, 0, 0);
  background-position: center;
  background-repeat: no-repeat;
  background-origin: content-box;
  z-index: 1;
}
.detail-component > div:last-child .component-indicator-right::before {
  top: 0;
  background-image: url("/img/arrow-red-up.svg");
}
.detail-component > div:last-child .component-indicator-right::after {
  bottom: 0;
  background-image: url("/img/arrow-red-down.svg");
}

.component-content {
  grid-column: 2/span 1;
  grid-row: 2/span 1;
  pointer-events: none;
}

.container-control {
  flex-basis: 70%;
}

/* Large screen device */
@media (min-width: 992px) {
  body {
    background-color: #F1F1F1;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .container-fluid {
    border: 1.6px solid #C6C6C6;
    padding: 1.25em 2.6em 1.25em 2.6em !important;
    background-color: #E5E5E5;
    border-radius: 0.5rem;
    height: auto !important;
    margin: 0;
  }
  .container-fluid > .row {
    height: auto !important;
    border: 1.6px solid #1E88C2 !important;
    border-radius: 0.5rem;
    margin-bottom: auto !important;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.22);
  }
  #company-home-link > img:first-of-type {
    border-right: 1.06px solid #dcdcdc;
  }
  .container-preview-component {
    flex-basis: 15rem;
  }
  .container-preview-component > div:first-of-type {
    width: -moz-max-content;
    width: max-content;
  }
  .container-control {
    flex-basis: auto;
  }
}
